"""This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTIBILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>."""

bl_info = {
    "name" : "access violation updating image datablocks from frame change hander",
    "author" : "Julieta Riley",
    "description" : "cut down auto loader for blender devs to investigate full frame bug",
    "blender" : (4, 0, 0),
    "version" : (1,0,2),
    "location" : "press play",
    "category" : "Help Me!"
}

import bpy
from .handlers import handlers as hndlr
from .properties import addon_preferences as prefs
from .properties import properties as prop

def register():
    hndlr.register_handler()
    prefs.register_prefs()
    prop.register()

def unregister():
    hndlr.unregister_handler()
    prefs.un_register_prefs()
    prop.unregister()
