
from . import file_tools
from . import node_tools
import bpy

def there_are_cache_nodes(scene_name):

    if node_tools.get_all_addon_image_node_names(scene_name):
        return True
    return False

def a_viewer_node_is_selected(scene_name):

    sel = [n.name for n in bpy.data.scenes[scene_name].node_tree.nodes if n.select == True and n.type == 'VIEWER']
    if not sel:
        return False
    return True

def node_has_no_linked_inputs(node_name,scene_name):

    for l in bpy.data.scenes[scene_name].node_tree.nodes[node_name].inputs:
        for link in l.links:
            return False
    return True

def is_a_cache_node(node_name,scene_name):

    if bpy.data.scenes[scene_name].node_tree.nodes[node_name].type == 'IMAGE' and bpy.data.scenes[scene_name].node_tree.nodes[node_name].image and (file_tools.get_file_name_from_path(bpy.data.scenes[scene_name].node_tree.nodes[node_name].image.filepath).startswith('RL_')
                                                    or file_tools.get_file_name_from_path(bpy.data.scenes[scene_name].node_tree.nodes[node_name].image.filepath).startswith('RLT_')
                                                    or file_tools.get_file_name_from_path(bpy.data.scenes[scene_name].node_tree.nodes[node_name].image.filepath).startswith('CH_')):
        return True
    else:
        return False
